## cong-editor-node

cong-editor-node —

## Synopsis

    #define     DEBUG_EDITOR_NODE_LIFETIMES
    #define     CONG_EDITOR_NODE                (obj)
    #define     CONG_EDITOR_NODE_CLASS          (klass)
    #define     IS_CONG_EDITOR_NODE             (obj)
    enum        CongFlowType                    ();
    GType       cong_editor_node_get_type       (void);
    CongEditorNode* cong_editor_node_construct  (CongEditorNode *editor_node,
                                                 CongEditorWidget3 *widget,
                                                 CongTraversalNode *traversal_node);
    CongEditorNode* cong_editor_node_manufacture
                                                (CongEditorWidget3 *widget,
                                                 CongTraversalNode *traversal_node);
    CongEditorWidget3* cong_editor_node_get_widget
                                                (CongEditorNode *editor_node);
    CongDocument* cong_editor_node_get_document (CongEditorNode *editor_node);
    CongNodePtr cong_editor_node_get_node       (CongEditorNode *editor_node);
    CongEditorNode* cong_editor_node_get_traversal_parent
                                                (CongEditorNode *editor_node);
    CongEditorArea* cong_editor_node_get_primary_area
                                                (CongEditorNode *editor_node);
    CongEditorArea* cong_editor_node_get_inner_area
                                                (CongEditorNode *editor_node);
    CongEditorArea* cong_editor_node_generate_block_area
                                                (CongEditorNode *editor_node);
    CongEditorLineFragments* cong_editor_node_generate_line_areas_recursive
                                                (CongEditorNode *editor_node,
                                                 gint line_width,
                                                 gint initial_indent);
    void        cong_editor_node_line_regeneration_required
                                                (CongEditorNode *editor_node);
    gboolean    cong_editor_node_is_referenced_entity_decl
                                                (CongEditorNode *editor_node);
    CongEditorNode* cong_editor_node_get_prev   (CongEditorNode *editor_node);
    CongEditorNode* cong_editor_node_get_next   (CongEditorNode *editor_node);
    CongEditorChildPolicy* cong_editor_node_get_child_policy
                                                (CongEditorNode *editor_node);
    void        cong_editor_node_set_child_policy
                                                (CongEditorNode *editor_node,
                                                 CongEditorChildPolicy *child_policy);
    CongEditorChildPolicy* cong_editor_node_get_parents_child_policy
                                                (CongEditorNode *editor_node);
    void        cong_editor_node_set_parents_child_policy
                                                (CongEditorNode *editor_node,
                                                 CongEditorChildPolicy *child_policy);

## Description

## Details

### DEBUG_EDITOR_NODE_LIFETIMES

    #define DEBUG_EDITOR_NODE_LIFETIMES 0

### CONG_EDITOR_NODE()

    #define CONG_EDITOR_NODE(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_EDITOR_NODE_TYPE, CongEditorNode)

`obj` : |

### CONG_EDITOR_NODE_CLASS()

    #define CONG_EDITOR_NODE_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_EDITOR_NODE_TYPE, CongEditorNodeClass)

`klass` : |

### IS_CONG_EDITOR_NODE()

    #define IS_CONG_EDITOR_NODE(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_EDITOR_NODE_TYPE)

`obj` : |

### CongFlowType ()

    enum        CongFlowType                    ();

Returns : |

### cong_editor_node_get_type ()

    GType       cong_editor_node_get_type       (void);

Returns : |

### cong_editor_node_construct ()

    CongEditorNode* cong_editor_node_construct  (CongEditorNode *editor_node,
                                                 CongEditorWidget3 *widget,
                                                 CongTraversalNode *traversal_node);

TODO: Write me

`editor_node` : |
`widget` : |
`traversal_node` : |
Returns : |

### cong_editor_node_manufacture ()

    CongEditorNode* cong_editor_node_manufacture
                                                (CongEditorWidget3 *widget,
                                                 CongTraversalNode *traversal_node);

TODO: Write me

`widget` : |
`traversal_node` : |
Returns : |

### cong_editor_node_get_widget ()

    CongEditorWidget3* cong_editor_node_get_widget
                                                (CongEditorNode *editor_node);

TODO: Write me

`editor_node` : |
Returns : |

### cong_editor_node_get_document ()

    CongDocument* cong_editor_node_get_document (CongEditorNode *editor_node);

TODO: Write me

`editor_node` : |
Returns : |

### cong_editor_node_get_node ()

    CongNodePtr cong_editor_node_get_node       (CongEditorNode *editor_node);

TODO: Write me

`editor_node` : |
Returns : |

### cong_editor_node_get_traversal_parent ()

    CongEditorNode* cong_editor_node_get_traversal_parent
                                                (CongEditorNode *editor_node);

TODO: Write me

`editor_node` : |
Returns : |

### cong_editor_node_get_primary_area ()

    CongEditorArea* cong_editor_node_get_primary_area
                                                (CongEditorNode *editor_node);

`editor_node` : |
Returns : |

### cong_editor_node_get_inner_area ()

    CongEditorArea* cong_editor_node_get_inner_area
                                                (CongEditorNode *editor_node);

`editor_node` : |
Returns : |

### cong_editor_node_generate_block_area ()

    CongEditorArea* cong_editor_node_generate_block_area
                                                (CongEditorNode *editor_node);

TODO: Write me

`editor_node` : |
Returns : |

### cong_editor_node_generate_line_areas_recursive ()

    CongEditorLineFragments* cong_editor_node_generate_line_areas_recursive
                                                (CongEditorNode *editor_node,
                                                 gint line_width,
                                                 gint initial_indent);

TODO: Write me

`editor_node` : |
`line_width` : |
`initial_indent` : |
Returns : |

### cong_editor_node_line_regeneration_required ()

    void        cong_editor_node_line_regeneration_required
                                                (CongEditorNode *editor_node);

TODO: Write me

`editor_node` : |

### cong_editor_node_is_referenced_entity_decl ()

    gboolean    cong_editor_node_is_referenced_entity_decl
                                                (CongEditorNode *editor_node);

TODO: Write me

`editor_node` : |
Returns : |

### cong_editor_node_get_prev ()

    CongEditorNode* cong_editor_node_get_prev   (CongEditorNode *editor_node);

TODO: Write me

`editor_node` : |
Returns : |

### cong_editor_node_get_next ()

    CongEditorNode* cong_editor_node_get_next   (CongEditorNode *editor_node);

TODO: Write me

`editor_node` : |
Returns : |

### cong_editor_node_get_child_policy ()

    CongEditorChildPolicy* cong_editor_node_get_child_policy
                                                (CongEditorNode *editor_node);

TODO: Write me

`editor_node` : |
Returns : |

### cong_editor_node_set_child_policy ()

    void        cong_editor_node_set_child_policy
                                                (CongEditorNode *editor_node,
                                                 CongEditorChildPolicy *child_policy);

TODO: Write me

`editor_node` : |
`child_policy` : |

### cong_editor_node_get_parents_child_policy ()

    CongEditorChildPolicy* cong_editor_node_get_parents_child_policy
                                                (CongEditorNode *editor_node);

TODO: Write me

`editor_node` : |
Returns : |

### cong_editor_node_set_parents_child_policy ()

    void        cong_editor_node_set_parents_child_policy
                                                (CongEditorNode *editor_node,
                                                 CongEditorChildPolicy *child_policy);

TODO: Write me

`editor_node` : |
`child_policy` : |